<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>book-list-app documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">book-list-app documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li>SignInComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#styleData" role="tab" id="styleData-tab" data-toggle="tab" data-link="style">Styles</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/login/sign-in/sign-in.component.ts</code>
</p>

    <p class="comment">
        <h3>Description</h3>
    </p>
    <p class="comment">
        <p>Sign In Component
componente para el login de la aplicación</p>

    </p>


    <p class="comment">
        <h3>Implements</h3>
    </p>
    <p class="comment">
                    <code><a href="https://angular.io/api/core/OnInit" target="_blank" >OnInit</a></code>
    </p>


<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>app-sign-in</code></td>
            </tr>

            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./sign-in.component.css</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./sign-in.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#ngAuthService">ngAuthService</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#ngOnInit">ngOnInit</a>
                            </li>
                        </ul>
                    </td>
                </tr>





        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(ngAuthService: <a href="../injectables/NgAuthService.html">NgAuthService</a>)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="19" class="link-to-prism">src/app/login/sign-in/sign-in.component.ts:19</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>contructor de la clase SigIN</p>
</div>
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                                    <td>Description</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>ngAuthService</td>
                                                  
                                                        <td>
                                                                        <code><a href="../injectables/NgAuthService.html" target="_self" >NgAuthService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                        <td>
                                                                <code><p>Variable de tipo auth</p>
</code>
                                                        </td>
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>





    <section>
    
    <h3 id="methods">
        Methods
    </h3>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="ngOnInit"></a>
                    <span class="name">
                        <b>
                            ngOnInit
                        </b>
                        <a href="#ngOnInit"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>ngOnInit()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="38"
                            class="link-to-prism">src/app/login/sign-in/sign-in.component.ts:38</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-description"><p>Metodo ng On Init sin implementar</p>
</div>

                    <div>
                    </div>
                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                    <div class="io-description">
                        <p>void</p>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
</section>
    <section>
    
        <h3 id="inputs">
            Properties
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="ngAuthService"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            ngAuthService</b>
                            <a href="#ngAuthService"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>        <code><a href="../injectables/NgAuthService.html" target="_self" >NgAuthService</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="31" class="link-to-prism">src/app/login/sign-in/sign-in.component.ts:31</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                        <div class="io-description">Variable de tipo auth</div>
                    </td>
                </tr>

            </tbody>
        </table>
</section>

</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, OnInit } from &#x27;@angular/core&#x27;;
import { NgAuthService } from &quot;../../services/auth.service&quot;;

/**
 * Sign In Component
 * componente para el login de la aplicación
 **/
@Component({
  //variable selector
  selector: &#x27;app-sign-in&#x27;,
  templateUrl: &#x27;./sign-in.component.html&#x27;,
  styleUrls: [&#x27;./sign-in.component.css&#x27;]
})

/**
 * Sign In Component de la claseSignInComponent
 * 
 **/
export class SignInComponent implements OnInit {
  /**
   * contructor de la clase SigIN
   * @param ngAuthService Variable de tipo auth
   * @constructor  inicio de la clase para garantizar el guardian
   **/
  constructor(

    /** 
     * ng On Init
     * @param ngAuthService Variable de tipo auth
     **/
    public ngAuthService: NgAuthService
  ) { }

  /** 
   * Metodo ng On Init sin implementar
   * @returns void
   **/
  ngOnInit() { }

}</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;div class&#x3D;&quot;container-fluid&quot;&gt;
  &lt;div class&#x3D;&quot;row no-gutter&quot;&gt;
    &lt;!-- The image half --&gt;
    &lt;div class&#x3D;&quot;col-md-6 d-none d-md-flex bg-image&quot;&gt;&lt;/div&gt;
    &lt;!-- The content half --&gt;
    &lt;div class&#x3D;&quot;col-md-6 bg-light&quot;&gt;
      &lt;div class&#x3D;&quot;login d-flex align-items-center py-1&quot;&gt;
        &lt;!-- Demo content--&gt;
        &lt;div class&#x3D;&quot;container&quot;&gt;
          &lt;div class&#x3D;&quot;&quot;&gt;
            &lt;div class&#x3D;&quot;col-lg-9 col-xl-7 mx-auto&quot;&gt;
              &lt;h3 class&#x3D;&quot;display-4&quot;&gt;Accenture&lt;/h3&gt;
              &lt;p class&#x3D;&quot;text-muted mb-4&quot;&gt;login para clase de angular&lt;/p&gt;
              &lt;form&gt;
                &lt;div class&#x3D;&quot;form-group mb-3&quot;&gt;
                  &lt;input id&#x3D;&quot;inputEmail&quot; type&#x3D;&quot;email&quot; placeholder&#x3D;&quot;Email address&quot; required&#x3D;&quot;&quot; autofocus&#x3D;&quot;&quot;
                    class&#x3D;&quot;form-control rounded-pill border-0 shadow-sm px-4&quot;  #userName required&gt;
                &lt;/div&gt;
                &lt;div class&#x3D;&quot;form-group mb-3&quot;&gt;
                  &lt;input id&#x3D;&quot;inputPassword&quot; type&#x3D;&quot;password&quot; placeholder&#x3D;&quot;Password&quot; required&#x3D;&quot;&quot;
                    class&#x3D;&quot;form-control rounded-pill border-0 shadow-sm px-4 text-primary&quot; #userPassword required&gt;
                &lt;/div&gt;
                &lt;div class&#x3D;&quot;custom-control custom-checkbox mb-3&quot;&gt;
                  &lt;input id&#x3D;&quot;customCheck1&quot; type&#x3D;&quot;checkbox&quot; checked class&#x3D;&quot;custom-control-input&quot;&gt;
                  &lt;label for&#x3D;&quot;customCheck1&quot; class&#x3D;&quot;custom-control-label&quot;&gt;Remember password&lt;/label&gt;
                &lt;/div&gt;
                &lt;input type&#x3D;&quot;button&quot; value&#x3D;&quot;Sign In&quot; class&#x3D;&quot;btn btn-primary btn-block text-uppercase mb-2 
                rounded-pill shadow-sm&quot;  (click)&#x3D;&quot;ngAuthService.SignIn(userName.value, userPassword.value)&quot; &gt;

                &lt;div class&#x3D;&quot;text-center d-flex justify-content-between mt-4&quot;&gt;
                  &lt;p&gt;Code by &lt;a href&#x3D;&quot;#&quot; class&#x3D;&quot;font-italic text-muted&quot;&gt;
                      &lt;u&gt;Sergio &lt;/u&gt;&lt;/a&gt;&lt;/p&gt;
                &lt;/div&gt;
              
                &lt;div class&#x3D;&quot;d-flex justify-content-center links&quot;&gt;
                  Don&#x27;t have an account?&lt;a href&#x3D;&quot;#&quot; [routerLink]&#x3D;&quot;[&#x27;/sign-up&#x27;]&quot;&gt;&lt;u&gt;Sign Up&lt;/u&gt;&lt;/a&gt;
                &lt;/div&gt;
              &lt;/form&gt;
            &lt;/div&gt;
          &lt;/div&gt;
        &lt;/div&gt;&lt;!-- End --&gt;
      &lt;/div&gt;
    &lt;/div&gt;&lt;!-- End --&gt;
  &lt;/div&gt;
&lt;/div&gt;
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-styleData">
                <p class="comment">
                    <code>./sign-in.component.css</code>
                </p>
                <pre class="line-numbers"><code class="language-scss">.login,
.image {
  min-height: 100vh;

}
.bg-image {
  background-image: url(&#x27;https://www.finastra.com/sites/default/files/images/2018/10/payments_and_api_banking.jpg&#x27;);
  background-size: cover;
  background-position: center center;
  opacity: 0.9;
 
}</code></pre>
    </div>

    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><div class="container-fluid">  <div class="row no-gutter">    <!-- The image half -->    <div class="col-md-6 d-none d-md-flex bg-image"></div>    <!-- The content half -->    <div class="col-md-6 bg-light">      <div class="login d-flex align-items-center py-1">        <!-- Demo content-->        <div class="container">          <div class="">            <div class="col-lg-9 col-xl-7 mx-auto">              <h3 class="display-4">Accenture</h3>              <p class="text-muted mb-4">login para clase de angular</p>              <form>                <div class="form-group mb-3">                  <input id="inputEmail" type="email" placeholder="Email address" required="" autofocus=""                    class="form-control rounded-pill border-0 shadow-sm px-4"  #userName required>                </div>                <div class="form-group mb-3">                  <input id="inputPassword" type="password" placeholder="Password" required=""                    class="form-control rounded-pill border-0 shadow-sm px-4 text-primary" #userPassword required>                </div>                <div class="custom-control custom-checkbox mb-3">                  <input id="customCheck1" type="checkbox" checked class="custom-control-input">                  <label for="customCheck1" class="custom-control-label">Remember password</label>                </div>                <input type="button" value="Sign In" class="btn btn-primary btn-block text-uppercase mb-2                 rounded-pill shadow-sm"  (click)="ngAuthService.SignIn(userName.value, userPassword.value)" >                <div class="text-center d-flex justify-content-between mt-4">                  <p>Code by <a href="#" class="font-italic text-muted">                      <u>Sergio </u></a></p>                </div>                              <div class="d-flex justify-content-center links">                  Don\'t have an account?<a href="#" [routerLink]="[\'/sign-up\']"><u>Sign Up</u></a>                </div>              </form>            </div>          </div>        </div><!-- End -->      </div>    </div><!-- End -->  </div></div></div>'
    var COMPONENTS = [{'name': 'AddComponent', 'selector': 'app-add'},{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'DashboardComponent', 'selector': 'app-dashboard'},{'name': 'ForgotPasswordComponent', 'selector': 'app-forgot-password'},{'name': 'HomeComponent', 'selector': 'app-home'},{'name': 'NavComponent', 'selector': 'app-nav'},{'name': 'PagesComponent', 'selector': 'app-pages'},{'name': 'SignInComponent', 'selector': 'app-sign-in'},{'name': 'SignUpComponent', 'selector': 'app-sign-up'},{'name': 'VerifyEmailComponent', 'selector': 'app-verify-email'}];
    var DIRECTIVES = [];
    var ACTUAL_COMPONENT = {'name': 'SignInComponent'};
</script>
<script src="../js/tree.js"></script>










                   




                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'SignInComponent.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
